[Rubygems-developers] require hack

Jim Weirich jim at weirichhouse.org
Thu Mar 25 23:54:22 EST 2004

Simon Strandgaard wrote:
> Jim, did you see the 2 files at the bottom of the page?
> http://rubyforge.org/tracker/download.php/126/577/439/20/gemrequirehack.rb
> http://rubyforge.org/tracker/download.php/126/577/439/21/test_gemrequirehack.rb

Oh, I missed those.

> Did the testsuite pass ok?

They didn't run for me.  Were they working on your system?  I have an 
'assert_raises', but no 'assert_raise' in the version of Test::Unit I have.

But even after changing that, I still have two tests failing.

-- Jim Weirich    jim at weirichhouse.org     http://onestepback.org
"Beware of bugs in the above code; I have only proved it correct,
not tried it." -- Donald Knuth (in a memo to Peter van Emde Boas)

More information about the Rubygems-developers mailing list